﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public partial class Page1 : ContentPage
    {
        private SfChart chart;
        private readonly ObservableCollection<ChartDataPoint> Data = new ObservableCollection<ChartDataPoint>();

        public Page1()
        {
            InitializeComponent();

            Data.Add(new ChartDataPoint("Jan", 24));
            Data.Add(new ChartDataPoint("Feb", 20));
            Data.Add(new ChartDataPoint("Mar", 28));
            Data.Add(new ChartDataPoint("Apr", 18));
            Data.Add(new ChartDataPoint("May", 26));
            Data.Add(new ChartDataPoint("Jun", 24));
            
            chart = new SfChart()
            {
                PrimaryAxis = new CategoryAxis(),
                
                SecondaryAxis = new NumericalAxis()
            };

            var columnSeries = new ColumnSeries { ItemsSource = Data };

            ChartDoubleTapBehavior zoom = new ChartDoubleTapBehavior
             {
                 EnablePanning = true,
                 EnableZooming = true,
             };
          
            chart.ChartBehaviors.Add(zoom);
            chart.Series.Add(columnSeries);
            Content = chart;
        }
    }
    public class ChartDoubleTapBehavior : ChartZoomPanBehavior
    {
        protected override void DoubleTap(float x, float y)
        {
            if(x>100 && y>100)
                base.DoubleTap(x, y);
        }
    }
}